Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.fornitura.pojo
Class Fornitura

    java.lang.Object
      it.svimservice.nsisr.web.ws.fornitura.pojo.Fornitura

    public class Fornitura

extends java.lang.Object

Constructor Summary
`Fornitura()`

Method Summary
`CreateFornituraResponse` | `setCreateFornitura(AttributiAutorizzativi attributiAutorizzativi, CreateFornituraRequest request)` Questo servizio permette di registrare una nuova fornitura in archivio.
`UpdateFornituraResponse` | `setUpdateFornitura(AttributiAutorizzativi attributiAutorizzativi, UpdateFornituraRequest request)` Questo servizio permette di modificare i dati di una fornitura in archivio identificata dal codice nazionale dell'Azienda Sanitaria, Codice del Bene/Servizio, data delibera e partita IVA.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Fornitura

    public Fornitura()

Method Detail

### setCreateFornitura

    public CreateFornituraResponse setCreateFornitura(AttributiAutorizzativi attributiAutorizzativi,
                                                      CreateFornituraRequest request)

  Questo servizio permette di registrare una nuova fornitura in archivio.

  Parameters:
    `attributiAutorizzativi` - attributi di autorizzazione.
    `request` - dati di input del servizio.
  Returns:
    CreateFornituraResponse dati di output del servizio.
  Throws:
    `SoapFaultException` - errore applicativo, puņ assumere i seguenti valori:
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
    - 100000: Si č verificato un errore nel sistema.
    - 001514: Richiesta non valida.

### setUpdateFornitura

    public UpdateFornituraResponse setUpdateFornitura(AttributiAutorizzativi attributiAutorizzativi,
                                                      UpdateFornituraRequest request)

  Questo servizio permette di modificare i dati di una fornitura in archivio identificata dal codice nazionale dell'Azienda Sanitaria, Codice del Bene/Servizio, data delibera e partita IVA.

  Parameters:
    `attributiAutorizzativi` - attributi di autorizzazione.
    `request` - dati di input del servizio.
  Returns:
    UpdateFornituraResponse dati di output del servizio.
  Throws:
    `SoapFaultException` - errore applicativo, puņ assumere i seguenti valori:
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
    - 100000: Si č verificato un errore nel sistema.
    - 001514: Richiesta non valida.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD